### Method

# Gck Session derive_key_finish

#### Declaration [src]

    GckObject*
    gck_session_derive_key_finish (
      GckSession* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Get the result of a derive key operation.

#### Parameters

`result` | `GAsyncResult`
| The async result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckObject`
| The new derived key or `NULL` if the operation failed.
| The caller of the method takes ownership of the data, and is responsible for freeing it.